var projectDOM = false;
var projectFile = false;
var currentFocus = false;

function refreshSetup() {

}

function loadProject() {
	document.getElementById("uzcardsort-deck").selectedIndex = 1;
	dump("lp\n");
	//var du=new DirUtils(); 
	var tempCat, tempCatName;
	// getSelectedItem 
	var projNode = document.getElementById("project-selector").getSelectedItem(0);
	dump("found proj node " + projNode.nodeName + "\n");
	var dataPath = projNode.getAttribute('path');
	projectFile = dataPath;
	var dataFile = new File(dataPath);
	dump("Found datafile? " + dataPath + " "+ dataFile.exists() + "\n");
	dataFile.open("r");
	var xmlString = dataFile.read();
	dataFile.close();
	projectDOM = new DOMParser().parseFromString(xmlString, "text/xml");
	dump("Loaded project XML " + projectDOM + " \n");
	document.getElementById("cardsort-tabbox").disabled = false;
	getProjectInfo(projectDOM);	
	document.getElementById("uzcardsort-projectname").setAttribute("value", projectInfo.name + "Project ");
	populateSetup();
}

function populateSetup() {
	var wordBlob = '';
	var categories = projectDOM.getElementsByTagName("category");
	var categoryBlob = '';
	dump("Found " + categories.length + " categories \n");
	for(var i=0;i<categories.length;i++) {
		dump(categories[i].nodeName + " " + categories[i].getAttribute("name")+ "\n");
		if(categories[i].getAttribute("name") == "unsorted") {
			var unsortedWords = categories[i];
			projectInfo.unsortedLabel = unsortedWords.getAttribute("label");
			dump("Unsorted has " + unsortedWords.childNodes.length + " nodes \n");
			for(var j=0;j<unsortedWords.childNodes.length;j++) {				
				dump(unsortedWords.childNodes.item(j).nodeName + "\n");
				if(unsortedWords.childNodes.item(j).nodeName == "item" || unsortedWords.childNodes.item(j).nodeName == "a0:item") {
					dump(" item " + unsortedWords.childNodes.item(j).nodeName + " " + unsortedWords.childNodes.item(j).getAttribute("label") + "\n");
					wordBlob+= unsortedWords.childNodes.item(j).getAttribute("label") + "\n";
				}
			}
		} else {
			categoryBlob += categories[i].getAttribute("label")+ "\n";
		}
		
	}

	dump("Words " + wordBlob + "\n");
	dump("Categories " + categoryBlob + "\n");
	
	// Configure Project Settings

	document.getElementById("cardsort-setup-words").value = wordBlob;
	dump("Setting up form\n");
	document.getElementById("cardsort-setup-categories").value = categoryBlob;

	if(projectInfo.rename && projectInfo.rename == "true") 	document.getElementById("allow-rename").checked = true; 	
	if(projectInfo.create && projectInfo.create == "true") 	document.getElementById("allow-creation").checked = true; 	
	
	if(projectInfo.numcats) 	document.getElementById("num-containers").value =projectInfo.numcats;
	if(projectInfo.unsortedLabel) 	document.getElementById("cardsort-source-name").value =projectInfo.unsortedLabel;

	
}


/*
0 [object Attr] name Flavorishish2
1 [object Attr] rename false
2 [object Attr] create true
3 [object Attr] label A flavorish experience
4 [object Attr] numcats 6
*/

/*  <hbox><checkbox id="allow-rename" label="Allow Category Rename"/></hbox>
           <spring style="height:10px;"/>
		   <hbox><checkbox id="allow-creation" label="Allow Category Creation"/></hbox>
           <spring style="height:10px;"/>
           <hbox><textbox size="3" id="num-containers"/><text value="Number of Containers"/></hbox>
		<spring style="height:10px;"/>
		<vbox><text value="Source Container Name"/><textbox size="3" id="cardsort-source-name"/></vbox>*/

function runCardSort() {
	window.open('chrome://uzcardsort/content/run/index.xul','Card Sort Task', 'toolbar=no,top=100,width=700,height=500,resizable=yes');
}