var projectInfo = new Object();
var projectXMLtemplate =  '<?xml version="1.0"?>' +
'<uzcardsort xmlns:xhtml="http://www.w3.org/1999/xhtml">' +
'<project name=""/>' +
'<categories/>' + 
'</uzcardsort>';

function newProject() {
	var projectName = prompt("Enter a name for the project (no spaces or punctuation):");
	projectXML = new DOMParser().parseFromString(projectXMLtemplate, "text/xml");
	projectXML.getElementsByTagName("project").item(0).setAttribute("name", projectName);
	// Save project file
	var du=new DirUtils(); 
	var dataPath = du.getChromeDir() + fileSeparator + 'uzcardsort' + fileSeparator + 'content' + fileSeparator + 'projects' + fileSeparator;
	var dataFolder = new Dir(dataPath);
	dump("Found datafolder? " + dataPath + " "+ dataFolder.exists() + "\n");	

	// Prep xml string
	var objXMLSerializer = new XMLSerializer;
	var projectData = objXMLSerializer.serializeToString(projectXML);
	var dataFile = new File(dataPath + projectName + '.xml');
	dataFile.create();
	dataFile.open("w", 777);
	dataFile.write(projectData);
	dataFile.close();
	
	// Load up project
		var projectSelector = document.getElementById("project-selector");
		var tempNode = document.createElement("listitem");
		var tempLabel = projectName;
		tempLabel = tempLabel.replace(dataPath, "");
		tempNode.setAttribute( "label",tempLabel);
		tempNode.setAttribute("path", dataPath + projectName + '.xml');
		projectSelector.appendChild(tempNode);
		projectSelector.ensureElementIsVisible(tempNode);
		projectSelector.selectItem(tempNode);
		loadProject();
		document.getElementById("cardsort-tabbox").selectedPanel = 2;
	
}


function saveProject() {
	updateProjectXML();
	var objXMLSerializer = new XMLSerializer;
    //get the XML string
    var updatedProjectBlob = objXMLSerializer.serializeToString(projectDOM);

	updatedProjectBlob = replaceAll(updatedProjectBlob, "a0:", "");
updatedProjectBlob = replaceAll(updatedProjectBlob, 'xmlns:a0="http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul"', '');


	dump(" new dom is \n" + updatedProjectBlob + "\n\n");
	var du=new DirUtils(); 
	var dataPath = du.getChromeDir() + fileSeparator + 'uzcardsort' + fileSeparator + 'content' + fileSeparator + 'projects' + fileSeparator;
	var folder = new Dir(dataPath)
	if(!folder.exists) folder.create();
	var dataFile = new File(dataPath + projectInfo.name + ".xml");
	if(!dataFile.exists) dataFile.create();
	dataFile.open("w", 777);
	dataFile.write(updatedProjectBlob);
	dataFile.close();
}

function updateCategoryMembersAndList() {
	var wordBlob = '';
	var tempNode;
	var catBlob = document.getElementById("cardsort-setup-words").value;
	dump("----------Cat blob is " + catBlob + "\n");
	var arCats = catBlob.split("\n");
	dump("Got " + arCats.length + "\n");
	var categoryNodes = projectDOM.getElementsByTagName("category");
	for(var h=0;h<categoryNodes.length;h++) {
		if(categoryNodes.item(h).getAttribute("name") == "unsorted") var categoryNode = categoryNodes.item(h);
	}
	deleteAllChilds(categoryNode);
	for(var i=0;i<arCats.length;i++) {
		if(arCats[i].length) {
			tempNode = document.createElement("item");
			tempNode.setAttribute("label", arCats[i]);
			categoryNode.appendChild(tempNode);
		}
	}
	dumpXML(projectDOM);
	
	var catBlob = document.getElementById("cardsort-setup-categories").value;
	dump("----------Cat blob is " + catBlob + "\n");
	var arCats = catBlob.split("\n");
	dump("Got " + arCats.length + "\n");
	var categoryNodes = projectDOM.getElementsByTagName("category");
	var categoriesNode = projectDOM.getElementsByTagName("categories").item(0);
	// Remove non primary categories
	for(var j=categoriesNode.childNodes.length-1;j>=0;j--) {
	if(categoriesNode.childNodes.item(j).nodeName == "category")  {
			if(!categoriesNode.childNodes.item(j).hasAttribute("name") || categoriesNode.childNodes.item(j).getAttribute("name") != "unsorted"  ) { 
 categoriesNode.removeChild( categoriesNode.childNodes.item(j));
		
}
	}
	}

	var nameCount = 0;
	for(var h=0;h<arCats.length;h++) {
		if(arCats[h].length) {
		tempNode = document.createElement("category");
		dump("setting " + h + " " + arCats[h] + "\n");
		tempNode.setAttribute("label", arCats[h]);
		categoriesNode.appendChild(tempNode);
		}
					 	
	}
	dumpXML(projectDOM);
	
}

function updateProjectXML() {

	updateCategoryMembersAndList();

	if(document.getElementById("allow-rename").checked) {
	 	projectInfo.rename = "true";
	} else {
		projectInfo.rename = "false";	
	}
 	
	if(document.getElementById("allow-creation").checked) { 
		projectInfo.create = "true";
	} else {
		projectInfo.create = "false";	
	}
	// Need validation
	projectInfo.numcats= document.getElementById("num-containers").value ;
	projectInfo.unsortedLabel = document.getElementById("cardsort-source-name").value;
	commitProjectInfoToDOM();	
}

function commitProjectInfoToDOM() {
	projectNode = projectDOM.getElementsByTagName("project").item(0);
	for(var i in projectInfo) {
		projectNode.setAttribute(i, projectInfo[i]);
	}
}

