
var sourceNode = false;
var transferNodeAttributes = false;

/*  TARGET HANDLER */
var fncClassDragDropObserverTarget = 
	{
	getSupportedFlavours : function () 
		{
		var flavours = new FlavourSet();
		flavours.appendFlavour("text/unicode");
		return flavours;
		},

	onDragStart: function (evt,transferData,action)
		{
		sourceNode = evt.target;
		dump("Drag start target \n");
		txt =  evt.target.getAttribute("value") + "," + evt.target.getAttribute("label");
		dump("payload: " + txt + "\n");
		transferData.data=new TransferData();
		transferNodeAttributes = txt;
		dump("Removing from " + evt.target.parentNode.getAttribute('id') + "\n");
		//evt.target.parentNode.removeChild(evt.target);
				transferData.data.addDataForFlavour("text/unicode",txt);
		dump("Done source drag start  \n");
		},

	onDragOver: function (evt,flavour,session)
		{
		//dump("Drag over target \n");
		},

	onDrop: function (evt,dropdata,session)
		{				
		dump("Transfer is " + transferNodeAttributes + "\n");
		// Don't add childs to listitems, add to listbox
		var dropTarget = evt.target;
		dump("Target is " + dropTarget.nodeName + "\n");  
		if(dropTarget.nodeName == "textbox") return;
		if(dropTarget.nodeName == "LISTITEM") {
			dropTarget = dropTarget.parentNode;
		}
	
		var newNodeAttributes = transferNodeAttributes.split(",");
	transferNodeAttributes = false;
		dump("Removing item from drag start box \n");
		sourceNode.parentNode.removeChild( sourceNode);
		sourceNode = false;
			
			var newNode = document.createElement("listitem");
			dump("new node is " + newNode + "\n");
			newNode.setAttribute("value", newNodeAttributes[0]);
			newNode.setAttribute("label", newNodeAttributes[1]);
			dump("adding\n");
			dropTarget.appendChild(newNode);

			}
	
};


/*  SOURCE HANDLER */
var fncClassDragDropObserverSource = 
	{
	getSupportedFlavours : function () 
		{
		var flavours = new FlavourSet();
		flavours.appendFlavour("text/unicode");
		return flavours;
		},

	onDragStart: function (evt,transferData,action)
		{
		sourceNode = evt.target;
		dump("Drag start source \n");
		txt =  evt.target.getAttribute("value") + "," + evt.target.getAttribute("label");
		dump("payload: " + txt + "\n");
		transferData.data=new TransferData();
		transferNodeAttributes = txt;
		dump("Removing from " + evt.target.parentNode.getAttribute('id') + "\n");
		//evt.target.parentNode.removeChild(evt.target);
				transferData.data.addDataForFlavour("text/unicode",txt);
		dump("Done source drag start  \n");
		},

	onDragOver: function (evt,flavour,session)
		{
		//dump("Drag over source \n");
		},

	onDrop: function (evt,dropdata,session)
		{
		var dropTarget = evt.target;
		dump("Target is " + dropTarget.nodeName + "\n");
		// Don't add childs to listitems, add to listbox
		if(dropTarget.nodeName == "textbox") return;
		if(dropTarget.nodeName == "listitem") {
			dropTarget = dropTarget.parentNode;
		}
		dump("Transfer is " + transferNodeAttributes + "\n");
		var newNodeAttributes = transferNodeAttributes.split(",");
	transferNodeAttributes = false;
	//dump(data[0] + " " + data[1] + "\n");
		sourceNode.parentNode.removeChild( sourceNode);
		sourceNode = false;
			dump("Drop on target with  " + dropdata + "\n");
			var newNode = document.createElement("listitem");
			dump("new node is " + newNode + "\n");
			newNode.setAttribute("value", newNodeAttributes[0]);
			newNode.setAttribute("label", newNodeAttributes[1]);
			dump("adding\n");
			dropTarget.appendChild(newNode);


			}
	
};

function addContainer() {
	catsDrawn++;
	var tempNode;
	
	row1count = document.getElementById("catsort-row-1").childNodes.length;
	row2count = document.getElementById("catsort-row-2").childNodes.length;
	if(row1count > row2count) row =  document.getElementById("catsort-row-1");
	if(row1count < row2count) row =  document.getElementById("catsort-row-2");
	if(row1count = row2count) row =  document.getElementById("catsort-row-1");
	tempNode = document.getElementById("dropcat-template").cloneNode(true);
	tempNode.setAttribute("id", "dropcat" + catsDrawn);
	tempLabelNode =getNameNodeFromDropCat(tempNode);
	tempLabelNode.setAttribute("id", "dropcat" + catsDrawn + "name");
	tempListBoxNode = getListboxFromDropCat(tempNode);
	tempListBoxNode.setAttribute("id", "dropcat" + catsDrawn + "list");
	
	
	tempNode.setAttribute("hidden", false);
	row.appendChild(tempNode);


}